Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Media
Imports System.Windows.Data
Imports Telerik.Windows.Data
Imports Telerik.Windows.Controls.GridView

Namespace Telerik.Windows.Examples
	Public Class GroupItemCountConveter
		Implements IValueConverter
		#Region "IValueConverter Members"

		Public Function Convert(value As Object, targetType As Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.Convert 
			Dim group As IGroup = TryCast(value, IGroup)

			If group IsNot Nothing Then
				Return If(group.ItemCount < 3, True, False)
			End If

			Dim groupViewModel As GroupViewModel = TryCast(value, GroupViewModel)

			If groupViewModel IsNot Nothing Then
				Return If(groupViewModel.Group.ItemCount < 3, True, False)
			End If

			Return Nothing
		End Function

		Public Function ConvertBack(value As Object, targetType As Type, parameter As Object, culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.ConvertBack 
			Throw New NotImplementedException()
		End Function

		#End Region
	End Class
End Namespace
